# iHeartRadio

## General notes and warnings

System requirements:

- Requires Control4 OS 2.10.0 or later.

Each copy of the driver in the project requires a single, valid iHeartRadio login (can be a free account).  If you have multiple iHeartRadio accounts, add a copy of the driver to the project for each account.

Streaming music subscriptions are sold separately and available only to those who qualify according to the license agreements for each such service. Streaming providers prohibit commercial use of their service, with few exceptions. Control4 does not support unauthorized use of any music streaming service and reports license violations to providers.

## Driver setup and properties

On first use of the driver, you will need to follow the instructions provided on screen to pair the driver with an iHeartRadio account.

### Properties

#### Driver Version

The version of the driver currently loaded in the project.

#### Debug Mode [Off | On]

Set this to On to capture logs from the driver on the Lua tab.

#### Progress Bar Updates – [Disabled | {1-5} Seconds]

How often to update Navigators with the progress through the current track.

## Programming

### Commands

#### Select Favorite

Triggers the selected My Stations channel (from the popup ... menu on Channel) to play in the selected room.

## Troubleshooting

For support on this driver please contact Control4 technical support or your local Control4 distributor.

The iHeartRadio website persists your login with a cookie, so once you log in on the iHeartRadio website, you will need to log out on the website first before trying to pair the driver to a different account.

## Changelog

- 73

Add Recently Played Agent support

Update to latest submodules

- 70

DRIV-2736 – Make queue items have default action

- 69

DRIV-2663 – Set maximum size of any displayed list to 1000

DRIV-2675 – Use MSP DriverNotification to popup errors instead of Lua “error” call

DRIV-2680 – Increase URL timeout from 5 to 10 seconds

DRIV-2683 – Correctly handle secondary rooms selecting new music from a different music service

- 68

NAV-7880

- 67

DRIV-1040 - Update translations

DRIV-2504 – Save Station option shouldn’t appear on queue station

- 66

DRIV-2618

- 65

DRIV-2221 - change wording on Driver Notifications for more clarity

- 64

Add default action for items with action list

- 63

DRIV-1687

- 62

DRIV-1978

- 61

DRIV-1854

- 60

Update strings for localization

- 59

DRIV-1757

- 58

DRIV-1651

- 57

DRIV-1644

- 56

CORE-1322

- 55

DRIV-1532

- 54

Updated icons

- 53

DRIV-1171 – large project XML causes slowdown

- 52

36507 – room popup on programming now supports selecting multiple rooms

- 51

40807 - LuaJIT

- 50

Add support for DEVICE\_SELECT handlers in common\_msp

- 49

Fix save/remove stations not working on Live stations from Now Playing screen

Restore save/remove stations from browse on Live stations

Change activation URL to allow CA logins

- 47

Add support for podcast browse, search and playback

Add support for artist radio browse, search and playback

Add login and logout controls to the driver UI (not possible from actions as login is a link to a website)

- 29

Add support for AU and NZ

- 26

Initial release
